<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8" />
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" 
              rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" 
              crossorigin="anonymous">
    </head>
    <body>
        <section class="vh-100" style="background-color: #eee;">
            <div class="container py-5 h-100">
                <div class="row d-flex justify-content-center align-items-center h-100">
                    <div class="col col-lg-9 col-xl-7">
                        <div class="card rounded-3"><div class="card rounded-3">
                            <div class="card-body p-4">

                                <h4 class="text-center my-3 pb-3">My List</h4>
                                <form class="row row-cols-lg-auto g-3 justify-content-center align-items-center mb-4 pb-2">
                                              
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-primary">New task &#128221;</button>
                                    </div>
                                </form>
                                
                                <table class="table mb-4">
									<thead>
										<tr>
											<th scope="col">Task</th>
											<th scope="col">Importance</th>
											<th scope="col">Actions</th>
										</tr>
									</thead>
									<tbody>
										<?php
											foreach($TabTask as $task){
												echo '<tr>
													<td scope="col">'.$task->get_titre().'</td>
													<td scope="col">'.$task->get_priorite().'</td>
                                                    <td>
                                                        <button type="submit" class="btn btn-success ms-1">Done</button>
                                                        <button type="submit" class="btn btn-danger">&#128465;</button>
                                                    </td>
												</tr>';
											}
										?>
									</tbody>
								</table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </body>
</html>
